Bug 857842 - CLI: "/usr/share/katello/script/katello-debug --notar" does not generate packages dir
CLI: "/usr/share/katello/script/katello-debug --notar" does not generate pack...
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity urgent (vote)
: Unspecified
: --
Assigned To: Martin Bacovsky
Hayk Hovsepyan
: Regression, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-17 04:13 EDT by Hayk Hovsepyan
Modified: 2013-03-27 16:03 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The command /usr/share/katello/script/katello-debug --notar failed to generate the packages directory. This fix corrects the syntax errors that caused the issue. The command now successfully creates the packages sub-directory, obtains all the packages and lists all the packages correctly.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:53:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hayk Hovsepyan 2012-09-17 04:13:27 EDT
Description of problem:

When you execute "/usr/share/katello/script/katello-debug --notar", in tmp it generates some directory where should be "packages" subdirectory. But "packages" does not exist.

Version-Release number of selected component (if applicable):
katello-1.1.12-5.el6cf
katello-cli-1.1.8-4.el6cf.
Comment 3 Martin Bacovsky 2012-09-18 07:35:27 EDT
Fixed in Katello in 4f937b5
Comment 6 Mike McCune 2012-09-21 17:06:56 EDT
New PR to get the original intended list of *all* packages:

https://github.com/Katello/katello/pull/732

merged to master with: 49c73a8cd0408837a23e171540bf1766ca72677b
Comment 9 Hayk Hovsepyan 2012-09-25 09:14:13 EDT
Verified on revision:
katello-certs-tools-1.1.8-1.el6cf.noarch
katello-glue-pulp-1.1.12-9.el6cf.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-agent-1.1.2-1.el6cf.noarch
katello-configure-1.1.9-4.el6cf.noarch
katello-glue-candlepin-1.1.12-9.el6cf.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-selinux-1.1.1-1.el6cf.noarch
katello-common-1.1.12-9.el6cf.noarch
katello-1.1.12-9.el6cf.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-cli-common-1.1.8-5.el6cf.noarch
katello-cli-1.1.8-5.el6cf.noarch
pulp-selinux-server-1.1.12-1.el6cf.noarch
katello-glue-pulp-1.1.12-9.el6cf.noarch
pulp-common-1.1.12-1.el6cf.noarch
python-isodate-0.4.4-4.pulp.el6.noarch
pulp-1.1.12-1.el6cf.noarch
m2crypto-0.21.1.pulp-7.el6.x86_64
python-oauth2-1.5.170-2.pulp.el6.noarch
mod_wsgi-3.3-3.pulp.el6.x86_64

Now it works correctly and shows the list of all packages.
Comment 11 errata-xmlrpc 2012-12-04 14:53:47 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.